Subject: Re: [dhcwg] Discussion of dhc WG rechartering for DHCP authentication

From: Basavaraj Patil <[email-masked]>
Date: Mon, 29 Oct 2007 11:42:24 -0500

Ralph,

I think overloading DHCP for access authentication is a bad idea. DHCP was
not designed for that purpose. I guess I need to communicate this on the
int-area list. But anyway you know my opinion at least in the DHC WG.

-Basavaraj

On 10/19/07 6:05 AM, "ext Ralph Droms" <[email-masked]> wrote:

> There is a lengthy discussion about rechartering the dhc WG to take
> on the DHCP authentication proposals in draft-pruss-dhcp-auth-
> dsl-01.txt and draft-zhao-dhc-user-authentication-02 in the int-
> [email-masked] mailing list.  Both of these drafts have been submitted
> for to the WG for review in the past, and neither, to date, has been
> accepted as a dhc WG work iterm.  I've included a copy of the initial
> posting, http://www1.ietf.org/mail-archive/web/int-area/current/
> msg00957.html, below.  Because this discussion may lead to the
> rechartering of the dhc WG to take on either or both of these drafts
> as new work items, those of you not on the int-area mailing list
> should consider reviewing the e-mail thread and contributing to the
> discussion.
> 
> - Ralph
> 
> 
> =====
> To: Internet Area <int-area at ietf.org>
> Subject: [Int-area] DCHP-based authentication for DSL?
> From: Jari Arkko <jari.arkko at piuha.net>
> Date: Thu, 04 Oct 2007 23:22:15 +0300
> 
> 
> We talked about the DSL requirements earlier on this list. Now
> they have sent us a liaison statement regarding what they would
> like to do:
> 
> "At this time, we would like to make the IETF aware that during
> our most recent DSL Forum quarterly meeting, the Architecture
> and Transport Working Group agreed to seriously consider adopting
> a mechanism such as that proposed in draft-pruss-dhcp-auth-dsl-01.txt
> or draft-zhao-dhc-user-authentication-02. We understand that the authors
> of these specifications intend to produce a combined document soon.
> The DSL Forum formally requests that the IETF adopt this as a work
> item, and would appreciate being advised of progress as soon as
> possible.
> 
> Our next quarterly meeting is December 10-13, in Lisbon, Portugal."
> 
> 
> How do we feel about this? Is this a good idea, considering the DSL
> architecture? How will it affect DHCP the protocol? How would
> you go about making DHCP extensions so that they work best
> for all possible environments and not just DSL? Is anyone
> already working on the combined draft promised above? Are
> there any other choices that we should recommend instead?
> 
> I would like to hold the discussion on this in this list until
> we've determined that the DHCP protocol is the right tool
> for the job. If it is, we can recharter DHC WG again to add
> the actual development work there. (DHC is right now
> being rechartered but that recharting is mostly a cleanup
> and not the addition of functionality to do this.)
> 
> Jari
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Richard Pruss <[email-masked]>
Date: Thu, 01 Nov 2007 08:49:38 -0700

Authentication is something that happens at every layer with every 
application. Terminal access was designed without authentication, that 
does not mean we do it like that today.

 I do not think we can take the argument of it was not designed for x as 
a reason to stay in the past.

Regards,
Ric